#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:               base-noprelude
version:            4.13.0.0
visibility:         public
id:                 base-noprelude-4.13.0.0-5e7lkjQlDgkKqNhcMNAdhu
key:                base-noprelude-4.13.0.0-5e7lkjQlDgkKqNhcMNAdhu
license:            BSD-3-Clause
maintainer:         hvr@gnu.org
author:             Herbert Valerio Riedel
homepage:           https://github.com/hvr/base-noprelude
synopsis:           "base" package sans "Prelude" module
description:
    This package simplifies defining custom "Prelude"s without having
    to use @-XNoImplicitPrelude@ by re-exporting the full module-hierarchy of
    the [base-4.13.0.0](https://hackage.haskell.org/package/base-4.13.0.0)
    package /except/ for the "Prelude" module.

    An usage example for such a "Prelude"-replacement is available with
    the [Prelude](http://hackage.haskell.org/package/Prelude) package.

    Starting with GHC 7.10 & Cabal-1.22 this package makes use of the
    package-level @reexported-modules@ feature.

    Each version of @base-noprelude@ depends on a specific
    @base@-version and thus mirrors @base@'\''s
    versioning (with the exception that @base-noprelude@ needs to add an
    /additional/ 5th version component in case of bug-fix releases).

    See <https://github.com/hvr/base-noprelude> for more information.

category:           Development
abi:                49eddffaa9bdfc02048f08856a2ec657
exposed:            True
exposed-modules:
    Control.Applicative from base-4.13.0.0:Control.Applicative,
    Control.Arrow from base-4.13.0.0:Control.Arrow,
    Control.Category from base-4.13.0.0:Control.Category,
    Control.Concurrent from base-4.13.0.0:Control.Concurrent,
    Control.Concurrent.Chan from base-4.13.0.0:Control.Concurrent.Chan,
    Control.Concurrent.MVar from base-4.13.0.0:Control.Concurrent.MVar,
    Control.Concurrent.QSem from base-4.13.0.0:Control.Concurrent.QSem,
    Control.Concurrent.QSemN from base-4.13.0.0:Control.Concurrent.QSemN,
    Control.Exception from base-4.13.0.0:Control.Exception,
    Control.Exception.Base from base-4.13.0.0:Control.Exception.Base,
    Control.Monad from base-4.13.0.0:Control.Monad,
    Control.Monad.Fail from base-4.13.0.0:Control.Monad.Fail,
    Control.Monad.Fix from base-4.13.0.0:Control.Monad.Fix,
    Control.Monad.IO.Class from base-4.13.0.0:Control.Monad.IO.Class,
    Control.Monad.Instances from base-4.13.0.0:Control.Monad.Instances,
    Control.Monad.ST from base-4.13.0.0:Control.Monad.ST,
    Control.Monad.ST.Lazy from base-4.13.0.0:Control.Monad.ST.Lazy,
    Control.Monad.ST.Lazy.Safe from base-4.13.0.0:Control.Monad.ST.Lazy.Safe,
    Control.Monad.ST.Lazy.Unsafe from base-4.13.0.0:Control.Monad.ST.Lazy.Unsafe,
    Control.Monad.ST.Safe from base-4.13.0.0:Control.Monad.ST.Safe,
    Control.Monad.ST.Strict from base-4.13.0.0:Control.Monad.ST.Strict,
    Control.Monad.ST.Unsafe from base-4.13.0.0:Control.Monad.ST.Unsafe,
    Control.Monad.Zip from base-4.13.0.0:Control.Monad.Zip,
    Data.Bifoldable from base-4.13.0.0:Data.Bifoldable,
    Data.Bifunctor from base-4.13.0.0:Data.Bifunctor,
    Data.Bitraversable from base-4.13.0.0:Data.Bitraversable,
    Data.Bits from base-4.13.0.0:Data.Bits,
    Data.Bool from base-4.13.0.0:Data.Bool,
    Data.Char from base-4.13.0.0:Data.Char,
    Data.Coerce from base-4.13.0.0:Data.Coerce,
    Data.Complex from base-4.13.0.0:Data.Complex,
    Data.Data from base-4.13.0.0:Data.Data,
    Data.Dynamic from base-4.13.0.0:Data.Dynamic,
    Data.Either from base-4.13.0.0:Data.Either,
    Data.Eq from base-4.13.0.0:Data.Eq,
    Data.Fixed from base-4.13.0.0:Data.Fixed,
    Data.Foldable from base-4.13.0.0:Data.Foldable,
    Data.Function from base-4.13.0.0:Data.Function,
    Data.Functor from base-4.13.0.0:Data.Functor,
    Data.Functor.Classes from base-4.13.0.0:Data.Functor.Classes,
    Data.Functor.Compose from base-4.13.0.0:Data.Functor.Compose,
    Data.Functor.Const from base-4.13.0.0:Data.Functor.Const,
    Data.Functor.Contravariant from base-4.13.0.0:Data.Functor.Contravariant,
    Data.Functor.Identity from base-4.13.0.0:Data.Functor.Identity,
    Data.Functor.Product from base-4.13.0.0:Data.Functor.Product,
    Data.Functor.Sum from base-4.13.0.0:Data.Functor.Sum,
    Data.IORef from base-4.13.0.0:Data.IORef,
    Data.Int from base-4.13.0.0:Data.Int,
    Data.Ix from base-4.13.0.0:Data.Ix,
    Data.Kind from base-4.13.0.0:Data.Kind,
    Data.List from base-4.13.0.0:Data.List,
    Data.List.NonEmpty from base-4.13.0.0:Data.List.NonEmpty,
    Data.Maybe from base-4.13.0.0:Data.Maybe,
    Data.Monoid from base-4.13.0.0:Data.Monoid,
    Data.Ord from base-4.13.0.0:Data.Ord,
    Data.Proxy from base-4.13.0.0:Data.Proxy,
    Data.Ratio from base-4.13.0.0:Data.Ratio,
    Data.STRef from base-4.13.0.0:Data.STRef,
    Data.STRef.Lazy from base-4.13.0.0:Data.STRef.Lazy,
    Data.STRef.Strict from base-4.13.0.0:Data.STRef.Strict,
    Data.Semigroup from base-4.13.0.0:Data.Semigroup,
    Data.String from base-4.13.0.0:Data.String,
    Data.Traversable from base-4.13.0.0:Data.Traversable,
    Data.Tuple from base-4.13.0.0:Data.Tuple,
    Data.Type.Bool from base-4.13.0.0:Data.Type.Bool,
    Data.Type.Coercion from base-4.13.0.0:Data.Type.Coercion,
    Data.Type.Equality from base-4.13.0.0:Data.Type.Equality,
    Data.Typeable from base-4.13.0.0:Data.Typeable,
    Data.Unique from base-4.13.0.0:Data.Unique,
    Data.Version from base-4.13.0.0:Data.Version,
    Data.Void from base-4.13.0.0:Data.Void,
    Data.Word from base-4.13.0.0:Data.Word,
    Debug.Trace from base-4.13.0.0:Debug.Trace,
    Foreign from base-4.13.0.0:Foreign,
    Foreign.C from base-4.13.0.0:Foreign.C,
    Foreign.C.Error from base-4.13.0.0:Foreign.C.Error,
    Foreign.C.String from base-4.13.0.0:Foreign.C.String,
    Foreign.C.Types from base-4.13.0.0:Foreign.C.Types,
    Foreign.Concurrent from base-4.13.0.0:Foreign.Concurrent,
    Foreign.ForeignPtr from base-4.13.0.0:Foreign.ForeignPtr,
    Foreign.ForeignPtr.Safe from base-4.13.0.0:Foreign.ForeignPtr.Safe,
    Foreign.ForeignPtr.Unsafe from base-4.13.0.0:Foreign.ForeignPtr.Unsafe,
    Foreign.Marshal from base-4.13.0.0:Foreign.Marshal,
    Foreign.Marshal.Alloc from base-4.13.0.0:Foreign.Marshal.Alloc,
    Foreign.Marshal.Array from base-4.13.0.0:Foreign.Marshal.Array,
    Foreign.Marshal.Error from base-4.13.0.0:Foreign.Marshal.Error,
    Foreign.Marshal.Pool from base-4.13.0.0:Foreign.Marshal.Pool,
    Foreign.Marshal.Safe from base-4.13.0.0:Foreign.Marshal.Safe,
    Foreign.Marshal.Unsafe from base-4.13.0.0:Foreign.Marshal.Unsafe,
    Foreign.Marshal.Utils from base-4.13.0.0:Foreign.Marshal.Utils,
    Foreign.Ptr from base-4.13.0.0:Foreign.Ptr,
    Foreign.Safe from base-4.13.0.0:Foreign.Safe,
    Foreign.StablePtr from base-4.13.0.0:Foreign.StablePtr,
    Foreign.Storable from base-4.13.0.0:Foreign.Storable,
    GHC.Arr from base-4.13.0.0:GHC.Arr,
    GHC.Base from base-4.13.0.0:GHC.Base,
    GHC.ByteOrder from base-4.13.0.0:GHC.ByteOrder,
    GHC.Char from base-4.13.0.0:GHC.Char,
    GHC.Clock from base-4.13.0.0:GHC.Clock,
    GHC.Conc from base-4.13.0.0:GHC.Conc,
    GHC.Conc.IO from base-4.13.0.0:GHC.Conc.IO,
    GHC.Conc.Signal from base-4.13.0.0:GHC.Conc.Signal,
    GHC.Conc.Sync from base-4.13.0.0:GHC.Conc.Sync,
    GHC.ConsoleHandler from base-4.13.0.0:GHC.ConsoleHandler,
    GHC.Constants from base-4.13.0.0:GHC.Constants,
    GHC.Desugar from base-4.13.0.0:GHC.Desugar,
    GHC.Enum from base-4.13.0.0:GHC.Enum,
    GHC.Environment from base-4.13.0.0:GHC.Environment,
    GHC.Err from base-4.13.0.0:GHC.Err,
    GHC.Event from base-4.13.0.0:GHC.Event,
    GHC.Exception from base-4.13.0.0:GHC.Exception,
    GHC.Exception.Type from base-4.13.0.0:GHC.Exception.Type,
    GHC.ExecutionStack from base-4.13.0.0:GHC.ExecutionStack,
    GHC.ExecutionStack.Internal from base-4.13.0.0:GHC.ExecutionStack.Internal,
    GHC.Exts from base-4.13.0.0:GHC.Exts,
    GHC.Fingerprint from base-4.13.0.0:GHC.Fingerprint,
    GHC.Fingerprint.Type from base-4.13.0.0:GHC.Fingerprint.Type,
    GHC.Float from base-4.13.0.0:GHC.Float,
    GHC.Float.ConversionUtils from base-4.13.0.0:GHC.Float.ConversionUtils,
    GHC.Float.RealFracMethods from base-4.13.0.0:GHC.Float.RealFracMethods,
    GHC.Foreign from base-4.13.0.0:GHC.Foreign,
    GHC.ForeignPtr from base-4.13.0.0:GHC.ForeignPtr,
    GHC.GHCi from base-4.13.0.0:GHC.GHCi,
    GHC.GHCi.Helpers from base-4.13.0.0:GHC.GHCi.Helpers,
    GHC.Generics from base-4.13.0.0:GHC.Generics,
    GHC.IO from base-4.13.0.0:GHC.IO,
    GHC.IO.Buffer from base-4.13.0.0:GHC.IO.Buffer,
    GHC.IO.BufferedIO from base-4.13.0.0:GHC.IO.BufferedIO,
    GHC.IO.Device from base-4.13.0.0:GHC.IO.Device,
    GHC.IO.Encoding from base-4.13.0.0:GHC.IO.Encoding,
    GHC.IO.Encoding.CodePage from base-4.13.0.0:GHC.IO.Encoding.CodePage,
    GHC.IO.Encoding.Failure from base-4.13.0.0:GHC.IO.Encoding.Failure,
    GHC.IO.Encoding.Iconv from base-4.13.0.0:GHC.IO.Encoding.Iconv,
    GHC.IO.Encoding.Latin1 from base-4.13.0.0:GHC.IO.Encoding.Latin1,
    GHC.IO.Encoding.Types from base-4.13.0.0:GHC.IO.Encoding.Types,
    GHC.IO.Encoding.UTF16 from base-4.13.0.0:GHC.IO.Encoding.UTF16,
    GHC.IO.Encoding.UTF32 from base-4.13.0.0:GHC.IO.Encoding.UTF32,
    GHC.IO.Encoding.UTF8 from base-4.13.0.0:GHC.IO.Encoding.UTF8,
    GHC.IO.Exception from base-4.13.0.0:GHC.IO.Exception,
    GHC.IO.FD from base-4.13.0.0:GHC.IO.FD,
    GHC.IO.Handle from base-4.13.0.0:GHC.IO.Handle,
    GHC.IO.Handle.FD from base-4.13.0.0:GHC.IO.Handle.FD,
    GHC.IO.Handle.Internals from base-4.13.0.0:GHC.IO.Handle.Internals,
    GHC.IO.Handle.Lock from base-4.13.0.0:GHC.IO.Handle.Lock,
    GHC.IO.Handle.Text from base-4.13.0.0:GHC.IO.Handle.Text,
    GHC.IO.Handle.Types from base-4.13.0.0:GHC.IO.Handle.Types,
    GHC.IO.IOMode from base-4.13.0.0:GHC.IO.IOMode,
    GHC.IO.Unsafe from base-4.13.0.0:GHC.IO.Unsafe,
    GHC.IOArray from base-4.13.0.0:GHC.IOArray,
    GHC.IORef from base-4.13.0.0:GHC.IORef,
    GHC.Int from base-4.13.0.0:GHC.Int,
    GHC.List from base-4.13.0.0:GHC.List,
    GHC.MVar from base-4.13.0.0:GHC.MVar,
    GHC.Maybe from base-4.13.0.0:GHC.Maybe,
    GHC.Natural from base-4.13.0.0:GHC.Natural,
    GHC.Num from base-4.13.0.0:GHC.Num,
    GHC.OldList from base-4.13.0.0:GHC.OldList,
    GHC.OverloadedLabels from base-4.13.0.0:GHC.OverloadedLabels,
    GHC.Pack from base-4.13.0.0:GHC.Pack,
    GHC.Profiling from base-4.13.0.0:GHC.Profiling,
    GHC.Ptr from base-4.13.0.0:GHC.Ptr,
    GHC.RTS.Flags from base-4.13.0.0:GHC.RTS.Flags,
    GHC.Read from base-4.13.0.0:GHC.Read,
    GHC.Real from base-4.13.0.0:GHC.Real,
    GHC.Records from base-4.13.0.0:GHC.Records,
    GHC.ResponseFile from base-4.13.0.0:GHC.ResponseFile,
    GHC.ST from base-4.13.0.0:GHC.ST,
    GHC.STRef from base-4.13.0.0:GHC.STRef,
    GHC.Show from base-4.13.0.0:GHC.Show,
    GHC.Stable from base-4.13.0.0:GHC.Stable,
    GHC.StableName from base-4.13.0.0:GHC.StableName,
    GHC.Stack from base-4.13.0.0:GHC.Stack,
    GHC.Stack.CCS from base-4.13.0.0:GHC.Stack.CCS,
    GHC.Stack.Types from base-4.13.0.0:GHC.Stack.Types,
    GHC.StaticPtr from base-4.13.0.0:GHC.StaticPtr,
    GHC.Stats from base-4.13.0.0:GHC.Stats,
    GHC.Storable from base-4.13.0.0:GHC.Storable,
    GHC.TopHandler from base-4.13.0.0:GHC.TopHandler,
    GHC.TypeLits from base-4.13.0.0:GHC.TypeLits,
    GHC.TypeNats from base-4.13.0.0:GHC.TypeNats,
    GHC.Unicode from base-4.13.0.0:GHC.Unicode,
    GHC.Weak from base-4.13.0.0:GHC.Weak,
    GHC.Word from base-4.13.0.0:GHC.Word,
    Numeric from base-4.13.0.0:Numeric,
    Numeric.Natural from base-4.13.0.0:Numeric.Natural,
    System.CPUTime from base-4.13.0.0:System.CPUTime,
    System.Console.GetOpt from base-4.13.0.0:System.Console.GetOpt,
    System.Environment from base-4.13.0.0:System.Environment,
    System.Environment.Blank from base-4.13.0.0:System.Environment.Blank,
    System.Exit from base-4.13.0.0:System.Exit,
    System.IO from base-4.13.0.0:System.IO,
    System.IO.Error from base-4.13.0.0:System.IO.Error,
    System.IO.Unsafe from base-4.13.0.0:System.IO.Unsafe,
    System.Info from base-4.13.0.0:System.Info,
    System.Mem from base-4.13.0.0:System.Mem,
    System.Mem.StableName from base-4.13.0.0:System.Mem.StableName,
    System.Mem.Weak from base-4.13.0.0:System.Mem.Weak,
    System.Posix.Internals from base-4.13.0.0:System.Posix.Internals,
    System.Posix.Types from base-4.13.0.0:System.Posix.Types,
    System.Timeout from base-4.13.0.0:System.Timeout,
    Text.ParserCombinators.ReadP from base-4.13.0.0:Text.ParserCombinators.ReadP,
    Text.ParserCombinators.ReadPrec from base-4.13.0.0:Text.ParserCombinators.ReadPrec,
    Text.Printf from base-4.13.0.0:Text.Printf,
    Text.Read from base-4.13.0.0:Text.Read,
    Text.Read.Lex from base-4.13.0.0:Text.Read.Lex,
    Text.Show from base-4.13.0.0:Text.Show,
    Text.Show.Functions from base-4.13.0.0:Text.Show.Functions,
    Type.Reflection from base-4.13.0.0:Type.Reflection,
    Type.Reflection.Unsafe from base-4.13.0.0:Type.Reflection.Unsafe,
    Unsafe.Coerce from base-4.13.0.0:Unsafe.Coerce

data-dir:           /usr/share/x86_64-linux-ghc-8.8.3/base-noprelude-4.13.0.0
depends:            base-4.13.0.0
haddock-interfaces:
    /usr/share/doc/haskell-base-noprelude/html/base-noprelude.haddock

haddock-html:       /usr/share/doc/haskell-base-noprelude/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

